/* indent size: 2 */

// eslint-disable-next-line strict
module.exports = app => {
  const DataTypes = app.Sequelize;

  const Model = app.model.define('UsersEventLogs', {
    id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    user_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true,
    },
    event_count: {
      type: DataTypes.INTEGER(10),
      allowNull: true,
    },
    event_name: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    event_params: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    update_time: {
      type: DataTypes.TIME,
      allowNull: true,
    },
    create_time: {
      type: DataTypes.DATE,
      allowNull: true,
    },
  }, {
    tableName: 'szj_users_event_logs',
  });

  Model.associate = function() {

  };
  // 同步:没有就新建,有就不变
  Model.sync();
  return Model;
};
