'use strict';
/**
 * [exports 项目session的配置项]
 * @type {Object}
 */
module.exports =  {
	/**
	 * [overwrite 设置 key 相同的键值对如何处理，如果设置为 true，
	 * 则后设置的值会覆盖前面设置的，否则将会发送两个 set-cookie 响应头]
	 * @type {Boolean}
	 */
	overwrite:true,
	/**
	 * [key session的key]
	 * @type {String}
	 */
	key:'SZJKJSESSION',
	/**
	 * [maxAge 最大有效时间]
	 * @type {[type]}
	 */
	maxAge:24*60*60*1000,
	/**
	 * [renew 是否刷新session的有效时间]
	 * @type {Boolean}
	 */
	renew: true,
	/**
	 * [httpOnly 设置键值对是否可以被 js 访问，默认为 true，不允许被 js 访问]
	 * @type {Boolean}
	 */
	httpOnly: true,
	/**
	 * [signed 设置是否对 Cookie 进行签名，如果设置为 true，
	 * 则设置键值对的时候会同时对这个键值对的值进行签名，后面取的时候做校验，
	 * 可以防止前端对这个值进行篡改。默认为 true]
	 * @type {Boolean}
	 */
	signed:true,
	/**
	 * [encrypt 设置是否对 Cookie 进行加密，如果设置为 true，
	 * 则在发送 Cookie 前会对这个键值对的值进行加密，
	 * 客户端无法读取到 Cookie 的明文值。默认为 false]
	 * @type {Boolean}
	 */
	encrypt:true
};